SyntaxErrorReportable (groovy 3.0.9 API)

Package: org.apache.groovy.parser.antlr4

## [Java] Interface SyntaxErrorReportable

-     public interface SyntaxErrorReportable

  A SyntaxErrorReportable is a recognizer that can report syntax error

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public PositionInfo` | `genPositionInfo(int offset)`
    `` | `public PositionInfo` | `genPositionInfo(Tuple2<Integer, Integer> offset)`
    `` | `public int` | `getErrorColumn()`
    `` | `public int` | `getErrorLine()`
    `` | `public int` | `getSyntaxErrorSource()`
    `` | `public void` | `require(boolean condition, String msg, int offset, boolean toAttachPositionInfo)`
    `` | `public void` | `require(boolean condition, String msg, Tuple2<Integer, Integer> offset, boolean toAttachPositionInfo)`
    `` | `public void` | `require(boolean condition, String msg, boolean toAttachPositionInfo)`
    `` | `public void` | `require(boolean condition, String msg, int offset)`
    `` | `public void` | `require(boolean condition, String msg, Tuple2<Integer, Integer> offset)`
    `` | `public void` | `require(boolean condition, String msg)`
    `` | `public void` | `throwSyntaxError(String msg, int offset, boolean toAttachPositionInfo)`
    `` | `public void` | `throwSyntaxError(String msg, Tuple2<Integer, Integer> offset, boolean toAttachPositionInfo)`

- - ### Method Detail

    - #### public PositionInfo genPositionInfo(int offset)

    - #### public PositionInfo genPositionInfo(Tuple2<Integer, Integer> offset)

    - #### public int getErrorColumn()

    - #### public int getErrorLine()

    - #### public int getSyntaxErrorSource()

    - #### public void require(boolean condition, String msg, int offset, boolean toAttachPositionInfo)

    - #### public void require(boolean condition, String msg, Tuple2<Integer, Integer> offset, boolean toAttachPositionInfo)

    - #### public void require(boolean condition, String msg, boolean toAttachPositionInfo)

    - #### public void require(boolean condition, String msg, int offset)

    - #### public void require(boolean condition, String msg, Tuple2<Integer, Integer> offset)

    - #### public void require(boolean condition, String msg)

    - #### public void throwSyntaxError(String msg, int offset, boolean toAttachPositionInfo)

    - #### public void throwSyntaxError(String msg, Tuple2<Integer, Integer> offset, boolean toAttachPositionInfo)